/* ==========================================================================
Generellt
========================================================================== */
.function-ecommerce #aspnetForm {
    display: flex;
    flex-direction: column;
    height: 100vh;
}

.function-ecommerce #aspnetForm main {
    flex: 1;
}

/* Varukorgsknapp i nav */
header .header-cta-wrapper .cart-btn {
    padding: 1rem;
    font-weight: 400;
    border-radius: 5px;
    color: rgb(var(--white-color));
    border: 1px solid rgb(var(--primary-color));
    background: rgb(var(--primary-color));
}

header .header-cta-wrapper .cart-btn:hover {
    background-color: transparent;
}

header .header-cta-wrapper .cart-btn i {
    margin-right: 3px;
}

/* ==========================================================================
Kategori/Samlingssida (.section-category)
========================================================================== */
.section-category .section-title {
    font-size: 6rem;
}

.section-category .text-block-center {
    max-width: 80rem;
}

.products-wrapper {
    margin-top: 5rem;
}

.products-wrapper .card-item {
    display: flex;
    flex-direction: column;
    padding: 2rem;
    border-radius: 2rem;
    background-color: rgb(var(--gray-light-color));
}

.products-wrapper .image-wrapper {
    aspect-ratio: 3 / 2;
    border-radius: 1rem;
}

.products-wrapper .card-body {
    flex-grow: 1;
    padding: 2rem 1rem 2rem;
}

@media only screen and (max-width: 580px) {
    .section-category .section-title {
        font-size: 4rem;
    }
}

/* ==========================================================================
Presentkort
========================================================================== */

/* Layout */
.product-layout-wrapper {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
}

.product-image-column {
    position: sticky;
    top: calc(var(--menu-height) + 5rem); /* Navigeringens hojd + padding top pa section-block */
    width: 45%;
    padding-right: 3rem;
}

.product-info-column {
    width: 55%;
    padding-left: 3rem;
}

@media only screen and (max-width: 1100px) {

    .product-image-column,
    .product-info-column {
        position: static;
        width: 100%;
        padding: 0;
    }
    
    .product-image-column  {
        margin-bottom: 2rem;
    }
}

/* Kolumn 1
========================================================================== */

/* Stor bild */
.product-gallery-slider .slick-track {
    display: flex;
    align-items: center;
}

.product-gallery-slider .image-wrapper {
    margin: 0 1rem;
}

.product-gallery-slider .image-wrapper img {
    max-height: calc(100vh - var(--menu-height) - 10rem - 6.5rem); /* 100vh - navigeringen hojd - section-block padding top och bottom - thumbnails hojd */
    margin: 0 auto;
}

/* Thumbnails */
.gallery-thumbnails {
    display: none;
}

.product-gallery-thumbnails {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 2rem;
}

.product-gallery-thumbnails .image-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 6rem;
    height: 6rem;
    position: relative;
    padding: 5px;
    border: 1px solid rgb(var(--gray-light-color));
    margin: 0 5px 5px 0;
    border-radius: 3px;
    cursor: pointer;
}

/* Arrows */
.product-gallery-slider .slick-arrow::after {
    color: rgb(var(--primary-color));
}

@media only screen and (max-width: 750px) {
    .product-gallery-slider .slick-list {
        width: calc(100% - 6rem);
    }

    /* Stor bild */
    .product-gallery-slider .image-wrapper {
        margin: 0 .5rem;
    }

    /* Arrows */
    .product-gallery-slider .slick-arrow {
        width: 3rem;
        height: 3rem;
    }
}

/* Kolumn 2
========================================================================== */

/* Varumarken */
.product-brand {
    margin: 1rem 0 3rem;
}

.product-brand img {
    max-width: 30rem;
    max-height: 10rem;
}

/* Formular */
.gift-card-form-section {
    padding: 3rem;
    margin-top: 2rem;
    border-radius: 2rem;
    background-color: rgb(var(--gray-light-color));
}

.form-group,
.variant-selectors,
.gift-card-fixed-amount {
    margin-bottom: 2rem;
}

.physical-delivery-section {
    margin-top: 4rem;
}

.gift-card-form-section label {
    display: block;
    padding-bottom: .3em;
    font-size: 1.5rem;
    font-weight: 500;
    color: rgb(var(--gray-dark-color));
}

.gift-card-form-section .radio-label {
    font-size: calc(var(--base-size) - 1px);
    font-weight: 400;
}

.gift-card-form-section input:not(input[type="radio"]):focus,
.gift-card-form-section textarea:focus {
    outline: 2px solid rgb(var(--primary-color));
}

.gift-card-form-section input[type="text"],
.gift-card-form-section input[type="number"],
.gift-card-form-section input[type="email"],
.gift-card-form-section input[type="tel"],
.gift-card-form-section textarea {
    width: 100%;
    padding: 1rem 1.5rem;
    border: 1px solid rgb(var(--gray-color));
    -webkit-appearance: none;
    appearance: none;
    font-size: 1.5rem;
    font-family: inherit;
    border-radius: 1rem;
}

.gift-card-form-section select {
    width: 100%;
    height: 4rem;
    padding: 0 1rem;
    border: 1px solid rgb(var(--gray-color));
    font-size: var(--base-size);
    font-family: inherit;
    border-radius: 1rem;
}

.gift-card-form-section .error input[type="text"],
.gift-card-form-section .error input[type="number"],
.gift-card-form-section .error input[type="email"],
.gift-card-form-section .error input[type="tel"],
.gift-card-form-section .error textarea,
.gift-card-form-section .error select {
    background-color: #FFECEC;
}

.gift-card-form-section textarea {
    height: 10rem;
}

 .amount-input-wrapper {
    display: flex;
    align-items: center;
}

.currency-suffix {
    margin: 0 2rem;
    font-size: var(--base-size);
    color: rgb(var(--gray-dark-color));
}

.product-info-column .asterisk:after {
    content: "*";
    font-size: 1.6rem;
    font-weight: 400;
    margin-left: 6px;
    color: red;
}

.product-info-column .help-text,
.product-info-column .error-message {
    display: block;
    padding: 0;
    margin-top: .5em;
    font-size: 1.3rem;
    font-style: italic;
    color: rgb(var(--gray-dark-color));
}

.product-info-column .char-counter {
    display: block;
    margin-top: .3em;
    font-size: 1.3rem;
    color: rgb(var(--gray-dark-color));
}

.product-info-column button {
    width: 100%;
    font-family: inherit;
    cursor: pointer;
}

.product-info-column button[disabled] {
    opacity: .8;
}

.product-info-column button[disabled]:hover {
    color: rgb(var(--white-color));
    border: 1px solid rgb(var(--primary-color));
    background-color: rgb(var(--primary-color));
    cursor: not-allowed;
}

/* Error-meddelande */
.form-validation-summary {
    margin-top: 1rem;
    text-align: center;
}

.form-validation-summary p {
    font-style: italic;
}

@media only screen and (max-width: 580px) {
    .gift-card-form-section {
        padding: 2rem;
    }
}

/* ==========================================================================
Varukorgen
========================================================================== */
/* Tom varukorgen-knapp */
.remove-btn {
    display: block;
    max-width: 17rem;
    min-width: unset;
    margin: 0 0 0 auto;
    padding: 3px;
    color: rgb(var(--gray-dark-color));
    border-color: rgb(var(--gray-dark-color));
    background-color: rgb(var(--gray-dark-color), .2);
    cursor: pointer;
}

.remove-btn:hover {
    background-color: rgb(var(--gray-dark-color), .4);
}

.remove-btn {
    margin-right: 5px;
}

/* Produkt */
.cart-items-wrapper {
    margin: 3rem 0;
}

.cart-item {
    margin: 1rem 0;
    padding: 2rem;
    border-radius: 2rem;
    background-color: rgb(var(--gray-light-color));
}

.cart-item a {
    text-decoration: none;
}

.cart-item .small-title {
    font-weight: 500;
}

.cart-price {
    font-weight: 600;
}

.cart-id,
.cart-taxrate {
    display: none;
}

.cart-amount-title {
    font-weight: 600;
}

.cart-toggle-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
}

.cart-toggle-wrapper input {
    height: 4rem;
    text-align: center;
    border: 1px solid rgb(var(--primary-color));
    border-left: none;
    border-right: none;
    background-color: rgb(var(--white-color));
}

.cart-toggle-wrapper button {
    width: 4rem;
    height: 4rem;
    font-size: 1.8rem;
    color: rgb(var(--black-color));
    border: 1px solid rgb(var(--primary-color));
    background-color: rgb(var(--white-color));
    cursor: pointer;
    transition: .3s ease;
}

.cart-toggle-wrapper button:hover {
    background-color: rgb(var(--white-color));
}

/* Total summa */
.cart-total p {
    font-size: 2.5rem;
    font-weight: 600;
}

/* ==========================================================================
Betala
========================================================================== */
.section-checkout-wrapper {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
}

.section-checkout-wrapper .column-1 {
    width: calc(50% - var(--col-padding));
    padding: 3rem;
    border-radius: 2rem;
    border: 1px solid rgb(var(--primary-color));
    background-color: rgb(var(--gray-light-color));
}

.section-checkout-wrapper .column-2 {
    width: calc(50% - var(--col-padding));
    padding: 3rem;
    border-radius: 2rem;
    border: 1px solid rgb(var(--primary-color));
    background-color: rgb(var(--gray-light-color));
}

@media only screen and (max-width: 1200px) {
    .section-checkout-wrapper .column-1,
    .section-checkout-wrapper .column-2 {
        --col-padding: 1.5rem;
        padding: 3rem;
    }
}

@media only screen and (max-width: 850px) {
    .section-checkout-wrapper .column-1 {
        width: 100%;
        margin-bottom: 2rem;
    }
    
    .section-checkout-wrapper .column-2 {
        width: 100%;
    }
}

/* Formularsdelar */
.billing-details .small-title {
    padding-bottom: .5em;
}

.delivery-section,
.shipping-options-section {
    margin-top: 3rem;
}

.section-checkout-wrapper .form-group {
    margin-bottom: 2rem;
}

.section-checkout-wrapper label {
    display: block;
    padding-bottom: .2em;
    font-size: 1.5rem;
    font-weight: 600;
    font-family: inherit;
    color: rgb(var(--gray-dark-color));
}

.section-checkout-wrapper input[type="text"],
.section-checkout-wrapper input[type="email"],
.section-checkout-wrapper input[type="tel"] {
    width: 100%;
    padding: 1rem 1.5rem;
    border-radius: 1rem;
    border: 1px solid rgb(201, 201, 201);
    background-color: rgb(var(--white-color));
    -webkit-appearance: none;
    appearance: none;
}

.section-checkout-wrapper select {
    width: 100%;
    height: 4rem;
    padding: 0 1rem;
    border-radius: 1rem;
    border: 1px solid rgb(201, 201, 201);
    background-color: rgb(var(--white-color));
}

.section-checkout-wrapper .flexed {
    display: flex;
    align-items: center;
}

.section-checkout-wrapper .flexed label {
    font-weight: 400;
}

/* Order sammanfattning */
.order-header,
.order-item,
.order-subtotal,
.order-total {
    display: flex;
    justify-content: space-between;
}

.order-item {
    margin-bottom: 1rem;
}

.order-totals,
.order-total {
    padding-top: 1rem;
    border-top: 1px solid rgb(var(--gray-color));
}

.order-items .order-header span {
    font-weight: 600;
    color: rgb(var(--gray-dark-color));
}

.order-items span,
.order-items .empty-cart {
    padding-bottom: .5em;
    font-size: 1.5rem;
    font-family: inherit;
    line-height: 1.8;
    color: rgb(var(--gray-dark-color));
}

.order-total span {
    font-weight: 600;
    color: rgb(var(--black-color));
}

.gift-card-details {
    padding-bottom: .5em;
    font-size: 1.5rem;
    font-family: inherit;
    line-height: 1.8;
    color: rgb(var(--gray-dark-color));
}

.item-info .item-quantity {
    display: none;
}

/* Rabattkod */
.discount-section {
    margin-top: 2rem;
}

.discount-message {
    font-size: 1.4rem;
}

.discount-input-group {
    display: flex;
}

.section-checkout-wrapper .discount-input-group input {
    height: 5rem;
    border-radius: 4rem 0 0 4rem;
    border-radius: none;
}

.discount-input-group button {
    height: 5rem;
    padding: 1rem;
    margin: 0;
    font-size: 1.3rem;
    border-radius: 0 4rem 4rem 0;
    cursor: pointer;
}

.discount-message {
    margin-bottom: 2rem;
}

/* Villkor */
.terms-section {
    display: flex;
    align-items: center;
}

.terms-section label {
    font-weight: 400;
}

/* Knapp */
.place-order-btn {
    margin-top: 2rem;
    font-family: inherit;
    cursor: pointer;
}

/* ==========================================================================
Tack-sida
========================================================================== */
.thank-you-page {
    max-width: 80rem;
    margin: 0 auto;
    text-align: center;
}

/* Laddningsikon */
.status-icon i {
    margin-bottom: 3rem;
    font-size: 5rem;
    color: rgb(var(--primary-color));
}

/* Error */
.ecommerce-error h3 {
    font-size: 2rem;
}